#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: ksirk
Summary: Computerized version of a well known strategy board game
Group: Games/Strategy 
URL: http://www.kde.org/applications/games/ksirk/
Version: 4.12.5
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
Suggests: ksirk-handbook

%description -n ksirk
KsirK is a computerized version of the well known strategic board game Risk. 
The goal of the game is simply to conquer the world by attacking your neighbors
with your armies.
Features :
- Support for 1-6 human or computer (AI) players
- Multi-player gaming over a network
- You can easily create new skins with SVG graphics and the skin editor
- Hot New Stuff support. You can easily download and install new skins

%files
%_kde_bindir/ksirk*
%_kde_applicationsdir/ksirk*.desktop
%_kde_datadir/config.kcfg/ksirk*settings.kcfg
%_kde_datadir/config/ksirk.knsrc
%_kde_appsdir/ksirk*
%_kde_iconsdir/*/*/apps/ksirk.png

#------------------------------------------------------------------------------

%package -n ksirk-handbook
Summary: Ksirk handbook
Conflicts: ksirk < 1:4.7.1-2
Requires:  ksirk >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n ksirk-handbook
This package provides the ksirk handbook.

%files -n ksirk-handbook
%_kde_docdir/HTML/en/ksirk
%_kde_docdir/HTML/en/ksirkskineditor

#------------------------------------------------------------------------------

%define libiris_ksirk_major 2
%define libiris_ksirk %mklibname iris_ksirk %{libiris_ksirk_major}

%package -n %libiris_ksirk
Summary: Runtime library for ksirk
Group: System/Libraries

%description -n %libiris_ksirk
Runtime library for ksirk

%files -n %libiris_ksirk
%_kde_libdir/libiris_ksirk.so.%{libiris_ksirk_major}*

#------------------------------------------------------------------------------

%define ksirc_devel %mklibname ksirk -d

%package -n %ksirc_devel
Summary: Devel files for ksirk
Group: Development/KDE and Qt
Conflicts: kdegames4-devel < 1:4.9.80

%description -n %ksirc_devel
This package provides the devel files for ksirk.

%files -n %ksirc_devel
%_kde_libdir/libiris_ksirk.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641346
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555036
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551308
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540220
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490769
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476859
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465202
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458954
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455340
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447972
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435332
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428443
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407258
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401917
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394425
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339523
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334586
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326788
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319363
- imported package ksirk

